package cz.moneta.test.harness.support.greenscreen;

import java.lang.annotation.ElementType;
import java.lang.annotation.Repeatable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Repeatable(ChecksScreenContains.class)
public @interface CheckScreenContains {

    int row() default 1;

    int column() default 1;

    String text() default "";
}
